JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ComponentPeer::DragInfo Struct Reference
juce_gui_basics » windows

Structure to describe drag and drop information. More...

`#include <juce_ComponentPeer.h>`

## Public Member Functions
bool | isEmpty () const noexcept
void | clear () noexcept

## Public Attributes
StringArray | files
String | text
Point< int > | position

## Detailed Description

Structure to describe drag and drop information.

## Member Function Documentation

## ◆ isEmpty()

bool ComponentPeer::DragInfo::isEmpty | ( |  | ) | const
| noexcept

References String::isEmpty(), and StringArray::size().

## ◆ clear()

void ComponentPeer::DragInfo::clear | ( |  | ) |
| noexcept

References StringArray::clear(), and String::clear().

## Member Data Documentation

## ◆ files

StringArray ComponentPeer::DragInfo::files

## ◆ text

String ComponentPeer::DragInfo::text

## ◆ position

Point<int> ComponentPeer::DragInfo::position

The documentation for this struct was generated from the following file:

- juce_ComponentPeer.h